Package org.eclipse.draw2d.text

# Class TextFragmentBox

java.lang.Object
org.eclipse.draw2d.text.FlowBox
org.eclipse.draw2d.text.ContentBox
org.eclipse.draw2d.text.TextFragmentBox

public class TextFragmentBox extends ContentBox
A Geometric object for representing a TextFragment region on a line of Text.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`length`
The fragment's length in characters.
`int`
`offset`
The character offset at which this fragment begins.

## Constructor Summary

Constructors
Constructor
Description
`TextFragmentBox(TextFlow textflow)`
Creates a new TextFragmentBox for the given text flow.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsPoint(int x, int y)`
This method must be called on a block that is completely positioned and committed.
`int`
`getAscent()`
Returns the textflow's font's ascent.
`int`
`getDescent()`
Returns the textflow's font's descent.
`boolean`
`isRightToLeft()`
Returns `true` if the bidi level is odd.
`boolean`
`isTruncated()`
Returns `true` if the fragment should be rendered as truncated.
`void`
`setTruncated(boolean value)`
Marks the fragment as having been truncated.
`String`
`toString()`

### Methods inherited from class org.eclipse.draw2d.text.ContentBox

`getBaseline, getBidiLevel, requiresBidi, setBidiLevel`

### Methods inherited from class org.eclipse.draw2d.text.FlowBox

`getWidth, getX, setWidth, setX`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### length

public int length
The fragment's length in characters.

### offset

public int offset
The character offset at which this fragment begins.

## Constructor Details

### TextFragmentBox

public TextFragmentBox(TextFlow textflow)
Creates a new TextFragmentBox for the given text flow.

Parameters:
  `textflow` - the text flow

## Method Details

### containsPoint

public boolean containsPoint(int x, int y)
Description copied from class: `FlowBox`
This method must be called on a block that is completely positioned and committed.

Specified by:
  `containsPoint` in class `FlowBox`
Parameters:
  `x` - X
  `y` - Y
Returns:
  `true` if the FlowBox contains the point
See Also:
  - `FlowBox.containsPoint(int, int)`

### getAscent

public int getAscent()
Returns the textflow's font's ascent. The ascent is the same for all fragments in a given TextFlow.

Specified by:
  `getAscent` in class `FlowBox`
Returns:
  the ascent

### getDescent

public int getDescent()
Returns the textflow's font's descent. The descent is the same for all fragments in a given TextFlow.

Specified by:
  `getDescent` in class `FlowBox`
Returns:
  the descent
See Also:
  - `FlowBox.getAscent()`

### isRightToLeft

public boolean isRightToLeft()
Returns `true` if the bidi level is odd. Right to left fragments should be queried and rendered with the RLO control character inserted in front.

Returns:
  `true` if right-to-left
Since:
  3.1

### isTruncated

public boolean isTruncated()
Returns `true` if the fragment should be rendered as truncated.

Returns:
  `true` if the fragment is truncated
Since:
  3.1

### setTruncated

public void setTruncated(boolean value)
Marks the fragment as having been truncated.

Parameters:
  `value` - `true` if the fragment is truncated
Since:
  3.1

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`